Chat

Add reaction to message

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
POST/api/chat/projects/{projectId}/chats/{chatId}/messages/{messageId}/reactions

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.addReaction(
  "proj_WxHlAvdvrh0u",
  "jOMud40lfrWyQX8V",
  "Wunsch and Sons's most advanced Keyboard technology increases definite capabilities",
  {
    emoji: "panel navigate"
  }
);
const { data: result } = await chat.addReaction(
  "proj_WxHlAvdvrh0u",
  "jOMud40lfrWyQX8V",
  "Wunsch and Sons's most advanced Keyboard technology increases definite capabilities",
  {
    emoji: "panel navigate"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes
messageIdstringYes

Request Body

json
{
  "emoji": "monitor synthesize"
}
{
  "emoji": "monitor synthesize"
}

Responses

200Reaction added
json
{
  "success": true,
  "data": [
    {
      "emoji": "👍",
      "users": [
        "65a1b2c3d4e5f6789012345"
      ]
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "emoji": "👍",
      "users": [
        "65a1b2c3d4e5f6789012345"
      ]
    }
  ]
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub